from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class NodeType(IntEnum):
    ATTRIBUTE_NODE = auto()
    CDATA_SECTION_NODE = auto()
    COMMENT_NODE = auto()
    DOCUMENT_FRAGMENT_NODE = auto()
    DOCUMENT_NODE = auto()
    DOCUMENT_TYPE_NODE = auto()
    ELEMENT_NODE = auto()
    ENTITY_NODE = auto()
    ENTITY_REFERENCE_NODE = auto()
    NOTATION_NODE = auto()
    PROCESSING_INSTRUCTION_NODE = auto()
    TEXT_NODE = auto()
